image: $SKA_K8S_TOOLS_BUILD_DEPLOY

variables:
  # make sure the .make submodule is pulled from the ska-cicd-makefile GitLab repository
  GIT_SUBMODULE_STRATEGY: recursive

stages:
- lint
- build
- scan
- pages
- publish

include:
# Helm chart lint job
  - project: 'ska-telescope/templates-repository'
    file:
      - 'gitlab-ci/includes/helm-chart-lint.gitlab-ci.yml'
      - 'gitlab-ci/includes/docs.gitlab-ci.yml'
      - 'gitlab-ci/includes/helm-chart-build.gitlab-ci.yml'
      - 'gitlab-ci/includes/finaliser.gitlab-ci.yml'
      - 'gitlab-ci/includes/helm-chart-publish.gitlab-ci.yml'

helm-chart-publish:
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
      exists:
      - charts/**/*

docs-build-rtd:
  allow_failure: false